package cz.upol.wall;

import javafx.beans.property.BooleanProperty;
import javafx.beans.property.IntegerProperty;
import javafx.beans.property.SimpleBooleanProperty;
import javafx.beans.property.SimpleIntegerProperty;

/**
 * Reprezentuje cihlu na danych souradnich.
 * Kazda cihla ma priznak {@link #active} udavajici
 * zda jiz byla rozbita a ma byt zobrazena, nebo ne. 
 */
public class Brick {
	
	private BooleanProperty active = new SimpleBooleanProperty(true);
	private IntegerProperty row;
	private IntegerProperty column;
	
	public Brick(int row, int column) {
		super();
		this.row = new SimpleIntegerProperty(row);
		this.column = new SimpleIntegerProperty(column);
	}
	
	//
	// Vlastnosti pouzivane JavaFX
	//

	public final BooleanProperty activeProperty() {
		return this.active;
	}
	
	public final boolean isActive() {
		return this.activeProperty().get();
	}

	public final void setActive(final boolean active) {
		this.activeProperty().set(active);
	}
	
	public final IntegerProperty rowProperty() {
		return this.row;
	}

	public final int getRow() {
		return this.rowProperty().get();
	}	

	public final void setRow(final int row) {
		this.rowProperty().set(row);
	}
	
	public final IntegerProperty columnProperty() {
		return this.column;
	}

	public final int getColumn() {
		return this.columnProperty().get();
	}

	public final void setColumn(final int column) {
		this.columnProperty().set(column);
	}
}
